<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
	<title>Nancy Testing</title>   
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

 
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">

 
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>

    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.5.7/angular.min.js"></script>  
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="controller.js"></script> 

<style type="text/css"> 
.ng-touched.ng-invalid-required {
    border-color: red;
}
/* Show red border when stuff has been typed in, but its invalid */
.ng-dirty.ng-invalid {
  border-color: red;
}
/*Show normal border color when typed in for the first time*/
.ng-untouched.ng-invalid {
    border-color: #ccc; 
}
.ng-submitted input.ng-invalid{
    border-color: red;
} 
</style>
</head>
<body ng-app="mainApp" class="container">
<div ng-controller="mainCtrl">  
<br>
<br>
<br>
<!-- Form -->
<div id="formField">
<button type="button" class="close" ng-click="closeForm()" aria-hidden="true">×</button>
<form name="AddStudentForm" role="form" novalidate="novalidate" id="frmStu" method="post">
  <input type="hidden" class="form-control" id="idfield" ng-model="student.id">
  <div class="form-group">
    <label for="firstname">First Name</label>
    <input type="text" name="ftname" class="form-control"  id="fname" ng-model="student.firstname" ng-required="true">
    <div ng-messages="AddStudentForm.ftname.$error" 
         ng-show='AddStudentForm.$submitted && AddStudentForm.ftname.$invalid'>
          <div ng-message="required" ng-hide="AddStudentForm.ftname.$valid" class="text-danger"><i id="emptyfirst">First name field required</i></div> 
    </div>
  </div>
  <div class="form-group">
    <label for="middlename">Middle Name</label>
    <input type="text" class="form-control" id="mname" name="mdname" ng-model="student.middlename" ng-required="true">
    <div ng-messages="AddStudentForm.mdname.$error" 
         ng-show='AddStudentForm.$submitted || AddStudentForm.mdname.$dirty' role="alert">
          <div ng-message="required" ng-hide="AddStudentForm.mdname.$valid" class="text-danger"><i>Middle name field required</i></div> 
    </div>
  </div>
  <div class="form-group">
    <label for="lastname">Last Name</label>
    <input type="text" class="form-control" id="lname" name="ltname" ng-model="student.lastname" ng-required="true">
    <div ng-messages="AddStudentForm.ltname.$error" 
         ng-show='AddStudentForm.$submitted || AddStudentForm.ltname.$dirty' role="alert">
          <div ng-message="required" ng-hide="AddStudentForm.ltname.$valid" class="text-danger"><i>Last name field required</i></div> 
    </div>
  </div>
  <div class="form-group">
    <label for="age">Age</label>
    <input type="number" class="form-control" id="ageA" name="age" ng-model="student.AAge" ng-required="true">
    <div ng-messages="AddStudentForm.age.$error" 
         ng-show='AddStudentForm.$submitted || AddStudentForm.age.$dirty' role="alert">
          <div ng-message="required" ng-hide="AddStudentForm.age.$valid" class="text-danger"><i>Age field required</i></div> 
    </div>
  </div>
  <fieldset class="form-group">
    <legend>Gender</legend>
    <div class="form-check">
      <label class="form-check-label">
        <input type="radio" class="form-check-input" name="gender1" id="optionsRadios1" ng-model="student.gender" value="Male" ng-required="!Gender">
        Male
      </label>
    </div>
    <div class="form-check">
    <label class="form-check-label">
        <input type="radio" class="form-check-input" name="gender1" id="optionsRadios2" ng-model="student.gender" value="Female" ng-required="!Gender">
        Female
      </label>
    </div>
    <div ng-messages="AddStudentForm.gender1.$error" 
         ng-show='AddStudentForm.$submitted || AddStudentForm.gender1.$dirty' role="alert">
          <div ng-message="required" ng-hide="AddStudentForm.gender1.$valid" class="text-danger"><i>Please select a gender</i></div>
    </div>
  </fieldset> 
  <div class="form-group">
    <label for="address">Address</label>
    <input type="text" class="form-control" name="address" id="address" ng-model="student.address" placeholder="Enter Address" ng-required="true">
    <div ng-messages="AddStudentForm.address.$error" 
         ng-show='AddStudentForm.$submitted || AddStudentForm.address.$dirty' role="alert">
          <div ng-message="required" ng-hide="AddStudentForm.address.$valid" class="text-danger"><i>Address Field is Required</i></div> 
    </div>
  </div>
  <!-- ng-disabled="AddStudentForm.$invalid" -->
  <input type="submit" class="btn btn-primary" value="SAVE" ng-click="AddStudentForm.$valid && saveStudent()"> 
</form>
</div>
<!-- End Form -->
<div id="tableStudent">
<button class="btn btn-primary" ng-click="showForm()">New Student</button>  
<div class="table-responsive">          
  <table class="table table-striped" id="example">
    <thead>
      <tr> 
        <th>First Name</th>
        <th>Middle Name</th>
        <th>Last Name</th>
        <th>Age</th>
        <th>Gender</th>
        <th>Address</th>
        <th>Action</th>
      </tr>
    </thead>
    <tbody>
      <tr ng-repeat="student in students">
        <td>{{ student.firstname }}</td>
        <td>{{ student.middlename }}</td>
        <td>{{ student.lastname }}</td>
        <td>{{ student.AAge }}</td>
        <td>{{ student.gender }}</td>
        <td>{{ student.address }}</td>
        <td> <button class="btn btn-success" ng-click="retrieve(student)">Edit</button>  
             <button class="btn btn-danger" ng-click="deleteData(student.id)">Delete</button> </td>
      </tr>
    </tbody>
  </table>
  </div> 
</div>
</div>
</body> 
</html>